module go-admin

go 1.16

require (
	github.com/BurntSushi/toml v1.3.2 // indirect
	github.com/aliyun/aliyun-sts-go-sdk v0.0.0-20171106034748-98d3903a2309
	github.com/bytedance/sonic v1.10.2 // indirect
	github.com/casbin/casbin/v2 v2.11.2
	github.com/casbin/gorm-adapter/v3 v3.0.2
	github.com/codinl/go-logger v1.0.0
	github.com/cpuguy83/go-md2man/v2 v2.0.3 // indirect
	github.com/dgrijalva/jwt-go v3.2.0+incompatible
	github.com/gabriel-vasile/mimetype v1.4.3 // indirect
	github.com/gin-gonic/gin v1.9.1
	github.com/go-openapi/jsonpointer v0.20.0 // indirect
	github.com/go-openapi/jsonreference v0.20.2 // indirect
	github.com/go-openapi/spec v0.20.9 // indirect
	github.com/go-playground/locales v0.14.1
	github.com/go-playground/universal-translator v0.18.1
	github.com/go-playground/validator/v10 v10.15.5
	github.com/go-redis/redis/v7 v7.4.0
	github.com/go-sql-driver/mysql v1.5.0
	github.com/gogf/gf v1.13.4
	github.com/google/uuid v1.1.1
	github.com/gorilla/websocket v1.4.2
	github.com/holdno/snowFlakeByGo v0.0.0-20180510033652-d23f8a8cadd7
	github.com/jasonlvhit/gocron v0.0.1
	github.com/jinzhu/gorm v1.9.16
	github.com/klauspost/cpuid/v2 v2.2.5 // indirect
	github.com/matchstalk/go-admin-core v1.2.0
	github.com/matchstalk/redisqueue v1.0.3
	github.com/mojocn/base64Captcha v1.3.1
	github.com/mssola/user_agent v0.5.2
	github.com/pelletier/go-toml/v2 v2.1.0 // indirect
	github.com/pkg/errors v0.9.1
	github.com/robfig/cron/v3 v3.0.1
	github.com/rs/zerolog v1.15.0
	github.com/satori/go.uuid v1.2.0
	github.com/shamsher31/goimgext v1.0.0 // indirect
	github.com/shamsher31/goimgtype v1.0.0
	github.com/shirou/gopsutil v2.21.11+incompatible
	github.com/sirupsen/logrus v1.9.3
	github.com/spf13/cast v1.3.1
	github.com/spf13/cobra v1.0.0
	github.com/spf13/viper v1.7.1
	github.com/swaggo/files v1.0.1
	github.com/swaggo/gin-swagger v1.6.0
	github.com/swaggo/swag v1.16.2
	github.com/tklauser/go-sysconf v0.3.10 // indirect
	github.com/unrolled/secure v1.0.8
	github.com/wechatpay-apiv3/wechatpay-go v0.2.16
	github.com/xuri/excelize/v2 v2.6.0
	github.com/yusufpapurcu/wmi v1.2.2 // indirect
	golang.org/x/arch v0.5.0 // indirect
	golang.org/x/crypto v0.14.0
	golang.org/x/sync v0.4.0
	golang.org/x/time v0.0.0-20190308202827-9d24e82272b4
	golang.org/x/tools v0.14.0 // indirect
	google.golang.org/protobuf v1.31.0 // indirect
	gopkg.in/natefinch/lumberjack.v2 v2.2.1
	gorm.io/driver/mysql v0.3.2
	gorm.io/driver/postgres v0.2.9
	gorm.io/driver/sqlite v1.0.9
	gorm.io/gorm v1.20.1
)
